Class | Ramaze::Bin::Start
In: | lib/ramaze/bin/start.rb
Parent: | Object

The start command is used to start a Ramaze application. The ramaze start command optionally takes a directory or path to a file. If it‘s a directory this command will look for a Rackup file in that directory, otherwise it assumes the specified file is a Rackup file.

Usage:

       ramaze start
       ramaze start /home/foobar/projects/blog/config.ru
       ramaze start /home/foobar/projects/blog

@author Yorick Peterse @since 21-07-2011

### Methods

new run start_server

### Included Modules

Ramaze::Bin::Helper

### Constants

Description | = | 'Starts an instance of an application' |  | The description of this command, displayed when the global help menu is invoked.
Banner | = | <<-TXT.strip Starts an instance of an application using the settings specified in a Rackup file in the current directory. Usage: ramaze start [RACKUP CONFIG] [OPTIONS] Example: ramaze start --help TXT .strip |  | The banner of this command, displayed when it‘s invoked with the -h or —help option.

### Public Class methods

new()

Creates a new instance of the command and prepares OptionParser.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the given command line arguments.

@author Yorick Peterse @since 21-07-2011 @param [Array] argv An array of command line arguments.

start_server(rackup_path, rackup_config, *params)

Starts a server baed on the rackup path, rackup configuration file and additional parameters.

@author Yorick Peterse @since 21-10-2011 @param [String] rackup_path The path to the Rackup executable. @param [String] rackup_config The path to the config.ru file to use. @param [Array] *params Additional parameters to pass to the ``exec()``

     method.

[Validate]